#include <cstdio>
#include <iostream>
#include <vector>
#include <map>
#include <algorithm>
#include <sstream>
#include "testlib.h"

typedef long long ll;

using namespace std;

int step(int n) 
{
    int res = 1;
    while (n--) res *= 10;
    return res;
}

const int MAXN = 1000;
const int MAXK = 10000;
const int MAXL = 9;
const int MAXX = step(MAXL);
int cur_test = -1;


string itoa(int x) 
{
    stringstream ss;
    string s;
    ss << x;
    ss >> s;
    return s;
}

int atoi(string s) 
{
    stringstream ss;
    int x;
    ss << s;
    ss >> x;
    return x;
}

void write_test(vector<int> a, int k) 
{
    startTest(cur_test++);
    int t = a.size();
    cout << t << ' ' << k << endl;
    for (int j = 0; j < t; j++)
    {
        cout << a[j];
        if (j != t - 1)
            cout << ' ';
        else
            cout << endl;
    }
}

void gen_rand(int n, int k, int maxn)
{
    vector<int> a(n);
    for (int i = 0; i < n; i++)
    {
        a[i] = rnd.next(maxn) + 1;
    }
    write_test(a, k);
}

int num9(int l) 
{
    int res = 0;
    while(l--) res = res * 10 + 9;
    return res;
}

void gen_num9(int n, int k)
{
    vector<int> a(n);
    for (int i = 0; i < n; i++)
    {
        a[i] = num9(rnd.next(MAXL) + 1);
    }
    write_test(a, k);
}

int num1(int l) 
{
    int res = 0;
    while(l--) res = res * 10 + 1;
    return res;
}

void gen_num1(int n, int k)
{
    vector<int> a(n);
    for (int i = 0; i < n; i++)
    {
        a[i] = num1(rnd.next(MAXL) + 1);
    }
    write_test(a, k);
}

int gand(int n)
{
    return rnd.next(n / 2) + n / 2 + 1;
}



int main(int argc, char * argv[]) 
{
    registerGen(argc, argv, 1);
    cur_test = atoi(argv[1]);
        
    for (int i = 10; i <= MAXN; i *= 10) 
    {
        for (int j = 10; j <= MAXX; j *= 10)
            gen_rand(gand(i), gand(i), gand(j));
        gen_num1(gand(i), gand(i));
        gen_num9(gand(i), gand(i));
    }
    gen_rand(MAXN, MAXK, MAXX);
    gen_rand(MAXN, MAXK, 9);
    gen_num1(MAXN, MAXK);
    gen_num9(MAXN, MAXK);
    return 0;
}

